#ifndef IOMAP_H
#define IOMAP_H 1// I/O port and pin assignments

#define ROBOT_2 1

//////////////  CAN Jaguar Numbers  ///////////////////
//#define (FACTORY DEFAULT, DON'T USE)	(1)
#define CANID_DRIVETRAIN_LEFT_FRONT		(2)
#define CANID_DRIVETRAIN_LEFT_REAR		(3)
#define CANID_DRIVETRAIN_RIGHT_FRONT	(4)
#define CANID_DRIVETRAIN_RIGHT_REAR		(5)
#define CANID_SHOOTER_UPPER				(6)  
#define CANID_SHOOTER_LOWER				(7)
#define CANID_TURRET					(8)
#define CANID_WINGS						(9)

//////////////  Digital Inputs  //////////////////////
#define DIG_DRIVETRAIN_LEFT_ENCODER_A   ( 1)
#define DIG_ENCODER_TURRET_B            ( 2)
#define DIG_DRIVETRAIN_RIGHT_ENCODER_A	( 3)
#define DIG_BRIDGE_STABILIZER			( 4)
#define DIG_ENCODER_SHOOTER_UPPER		( 5)
#define DIG_ENCODER_SHOOTER_LOWER		( 6)
#define DIG_ENCODER_TURRET_A		    ( 7)
#define DIG_CONVEYOR_ENTRANCE           ( 8)

/////////////// Digital Outputs //////////////////////
//Digital Outputs
#define DIG_LIGHT_RED		( 9)
#define DIG_LIGHT_GREEN		(10)
#define DIG_LIGHT_BLUE		(11)
#define DIG_LIGHT_SELECT_1	(12)
#define DIG_LIGHT_SELECT_2	(13)
#define DIG_LIGHT_SELECT_3	(14)

///////////////// PWM Outputs ///////////////////
#define PWM_CAMERA_TILT_SERVO           ( 1)
#define PWM_CONV_STAGE_1_LED			( 2)
#define PWM_CONV_STAGE_2_LED			( 3)
#define PWM_CONV_STAGE_3_LED			( 4)
#define PWM_CONV_ENTRANCE_LED			( 5)
#define PWM_STABILIZER		            ( 6)
//#define PWM_UNUSED                      ( 7)
//#define PWM_UNUSED                      ( 8)
//#define PWM_UNUSED                      ( 9)
//#define PWM_UNUSED                      (10)

///////////////// Relay Outputs //////////////////
#define RELAY_RESERVED                  ( 1)
#if ROBOT_2
#define RELAY_BEATER_BAR_MOTOR			( 2) //using a relay on robot 2
#else
#define RELAY_BEATER_BAR_MOTOR			( 7) //using a victor on robot 1
#endif
#define RELAY_CONV_STAGE_1_MOTOR        ( 3)
#define RELAY_CONV_STAGE_2_MOTOR        ( 4)
#define RELAY_CONV_STAGE_3_MOTOR        ( 5)
#define RELAY_CAMERA_LIGHT              ( 6)
//#define RELAY_UNUSED                    ( 7)
//#define RELAY_UNUSED                    ( 8)

///////////////// Analog Inputs ////////////////////
#define ANA_DRIVETRAIN_GYRO             (1)
#define ANA_CONV_STAGE_1                (2)
#define ANA_CONV_STAGE_2                (3)
#define ANA_CONV_STAGE_3                (4)
#define ANA_WING_POS_POT                (5)
#define ANA_TURRET_SW_MAX_CW			(6)
#define ANA_TURRET_SW_MAX_CCW			(7)
//#define ANA_RESERVED_BATTERY			(8)

#include "ThunderCANJaguar.h"

#endif


