#ifndef MONOENCODER_H
#define MONOENCODER_H

#include "Counter.h"
#include "Timer.h"
#include "PIDSource.h"

// Extends counter to be treated as an encoder
class MonoEncoder : public PIDSource {
public:
	MonoEncoder(int channel);
	virtual ~MonoEncoder();
	virtual double PIDGet();
	double getLastSpeed();// as percentage (%) of max rps
    int getTotalCount();// in ticks
    double getRevPerSec();// revs per second
private:
    Timer *timer;
	Counter * count;
    double lastSpeed;
    int totalCount;
};

#endif //MONOENCODER_H
